Package com.sun.jna.platform.win32

# Enum Class HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE

java.lang.Object
java.lang.Enum<HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE>
com.sun.jna.platform.win32.HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE

All Implemented Interfaces:
  `FlagEnum`, `Serializable`, `Comparable<HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE>`, `Constable`

Enclosing interface:
  HighLevelMonitorConfigurationAPI

public static enum HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE extends Enum<HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE> implements FlagEnum
Monitor capabilities - retrieved by GetMonitorCapabilities

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MC_SUPPORTED_COLOR_TEMPERATURE_10000K`
  The monitor supports 10,000 K color temperature.
  `MC_SUPPORTED_COLOR_TEMPERATURE_11500K`
  The monitor supports 11,500 K color temperature.
  `MC_SUPPORTED_COLOR_TEMPERATURE_4000K`
  The monitor supports 4,000 kelvins (K) color temperature.
  `MC_SUPPORTED_COLOR_TEMPERATURE_5000K`
  The monitor supports 5,000 K color temperature.
  `MC_SUPPORTED_COLOR_TEMPERATURE_6500K`
  The monitor supports 6,500 K color temperature.
  `MC_SUPPORTED_COLOR_TEMPERATURE_7500K`
  The monitor supports 7,500 K color temperature.
  `MC_SUPPORTED_COLOR_TEMPERATURE_8200K`
  The monitor supports 8,200 K color temperature.
  `MC_SUPPORTED_COLOR_TEMPERATURE_9300K`
  The monitor supports 9,300 K color temperature.
  `MC_SUPPORTED_COLOR_TEMPERATURE_NONE`
  No color temperatures are supported.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getFlag()`
  `static HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MC_SUPPORTED_COLOR_TEMPERATURE_NONE

    public static final HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE MC_SUPPORTED_COLOR_TEMPERATURE_NONE
    No color temperatures are supported.

  - ### MC_SUPPORTED_COLOR_TEMPERATURE_4000K

    public static final HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE MC_SUPPORTED_COLOR_TEMPERATURE_4000K
    The monitor supports 4,000 kelvins (K) color temperature.

  - ### MC_SUPPORTED_COLOR_TEMPERATURE_5000K

    public static final HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE MC_SUPPORTED_COLOR_TEMPERATURE_5000K
    The monitor supports 5,000 K color temperature.

  - ### MC_SUPPORTED_COLOR_TEMPERATURE_6500K

    public static final HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE MC_SUPPORTED_COLOR_TEMPERATURE_6500K
    The monitor supports 6,500 K color temperature.

  - ### MC_SUPPORTED_COLOR_TEMPERATURE_7500K

    public static final HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE MC_SUPPORTED_COLOR_TEMPERATURE_7500K
    The monitor supports 7,500 K color temperature.

  - ### MC_SUPPORTED_COLOR_TEMPERATURE_8200K

    public static final HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE MC_SUPPORTED_COLOR_TEMPERATURE_8200K
    The monitor supports 8,200 K color temperature.

  - ### MC_SUPPORTED_COLOR_TEMPERATURE_9300K

    public static final HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE MC_SUPPORTED_COLOR_TEMPERATURE_9300K
    The monitor supports 9,300 K color temperature.

  - ### MC_SUPPORTED_COLOR_TEMPERATURE_10000K

    public static final HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE MC_SUPPORTED_COLOR_TEMPERATURE_10000K
    The monitor supports 10,000 K color temperature.

  - ### MC_SUPPORTED_COLOR_TEMPERATURE_11500K

    public static final HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE MC_SUPPORTED_COLOR_TEMPERATURE_11500K
    The monitor supports 11,500 K color temperature.

- ## Method Details

  - ### values

    public static HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static HighLevelMonitorConfigurationAPI.MC_SUPPORTED_COLOR_TEMPERATURE valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getFlag

    public int getFlag()
    Specified by:
      `getFlag` in interface `FlagEnum`
    Returns:
      the flag value - usually 2^n